Skip to main content
PATCH
/
v2
/
users
/
{user-id}
/
rights
/v2/users/{user-id}/rights
curl --request PATCH \
  --url https://api.example.com/v2/users/{user-id}/rights \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "rights": [
    {
      "kind": {
        "CanActAs": {
          "value": {
            "party": "<string>"
          }
        }
      }
    }
  ],
  "identityProviderId": "<string>"
}
'
{
  "newlyRevokedRights": [
    {
      "kind": {
        "CanActAs": {
          "value": {
            "party": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Path Parameters

user-id
string
required

Body

application/json

Remove the rights from the set of rights granted to the user.

Required authorization: HasRight(ParticipantAdmin) OR IsAuthenticatedIdentityProviderAdmin(identity_provider_id)

userId
string
required

The user from whom to revoke rights.

Required

rights
Right · object[]

The rights to revoke.

Optional: can be empty

identityProviderId
string

The id of the Identity Provider If not set, assume the user is managed by the default identity provider.

Optional

Response

newlyRevokedRights
Right · object[]

The rights that were actually revoked by the request.

Optional: can be empty